Package de.pangaea.metadataportal.harvester

## Class RetryAfterIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - de.pangaea.metadataportal.harvester.RetryAfterIOException

- All Implemented Interfaces:
    `Serializable`

      public class RetryAfterIOException
      extends IOException

  Thrown when HTTP server responds with `HttpURLConnection.HTTP_UNAVAILABLE`.
  Author:
    Uwe Schindler
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetryAfterIOException​(int retryAfter, IOException ioe)` |
    `RetryAfterIOException​(int retryAfter, String message)` |
    `RetryAfterIOException​(int retryAfter, String message, IOException ioe)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IOException` | `getCause()` |
    `int` | `getRetryAfter()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryAfterIOException

          public RetryAfterIOException​(int retryAfter,
                                       IOException ioe)

    - #### RetryAfterIOException

          public RetryAfterIOException​(int retryAfter,
                                       String message,
                                       IOException ioe)

    - #### RetryAfterIOException

          public RetryAfterIOException​(int retryAfter,
                                       String message)

  - ### Method Detail

    - #### getRetryAfter

          public int getRetryAfter()

    - #### getCause

          public IOException getCause()

      Overrides:
        `getCause` in class `Throwable`